Package Gnumed :: Package pycommon :: Module gmBorg :: Class cBorg |
[frames] | no frames]

# Class cBorg

source code

    object --+
             |
            cBorg

Known Subclasses:
  - gmBackendListener.gmBackendListener
  - , gmTools.gmPaths
  - , gmCfg2.gmCfgData
  - , business.gmStaff.gmCurrentProvider
  - , business.gmPraxis.gmCurrentPraxisBranch

    A generic Borg mixin for new-style classes.

    - mixin this class with your class' ancestors to borg it

    - there may be many instances of this - PER CHILD CLASS - but they all share state

Instance Methods
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods
a new object with type S, a subtype of T |
__new__(cls, *args, **kargs) | source code

Properties
Inherited from `object`: `__class__`

Method Details

### __new__(cls, *args, **kargs) Static Method | source code
Returns: a new object with type S, a subtype of T Overrides: object.__new__ (inherited documentation)